=== modified file '.quickly'
--- .quickly	2010-09-19 22:38:19 +0000
+++ .quickly	2010-10-09 21:00:09 +0000
@@ -2,4 +2,4 @@
 version = 0.4.2
 template = pandora-build
 project-type = application
-pandora-version = 0.155
+pandora-version = 0.159

=== modified file 'config/lcov.am'
--- config/lcov.am	2010-08-30 19:06:55 +0000
+++ config/lcov.am	2010-10-08 17:32:00 +0000
@@ -1,4 +1,4 @@
-#  Copyright (C) 2010 ...?
+#  Copyright (C) 2010 Hartmut Holzgraefe
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by

=== modified file 'configure.ac'
--- configure.ac	2010-09-30 06:19:01 +0000
+++ configure.ac	2010-10-08 17:32:00 +0000
@@ -58,17 +58,6 @@
 AS_IF([test "x$GPERF" = "x"],
       AC_MSG_ERROR("Drizzle requires gperf to build."))
 
-AC_PATH_PROG(LCOV, lcov)
-AC_PATH_PROG(LCOV_GENHTML, genhtml)
-
-AC_CHECK_PROGS(YACC, ['bison -y'])
-AS_IF([test "x$YACC" = "x" -a "$pandora_building_from_bzr" = "yes"],[
-   AC_MSG_ERROR(["bison is required for Drizzle to build from a bzr branch"])
-])
-AS_IF([test "x$YACC" = "x"],[
-  YACC='if test -f "$@"; then echo "WARNING: no proper bison binary found, ignoring changes to $<"; exit 0; else echo "ERROR: no proper bison binary found"; exit 1; fi;'
-])
-
 # libexecinfo provides backtrace_symbols on FreeBSD
 AC_SEARCH_LIBS(backtrace_symbols, [execinfo])
 

=== added file 'm4/pandora_bison.m4'
--- m4/pandora_bison.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_bison.m4	2010-10-08 17:50:28 +0000
@@ -0,0 +1,33 @@
+dnl Copyright (C) 2010 Monty Taylor
+dnl Copyright (C) 2010 Hartmut Holzgraefe
+dnl This file is free software; Monty Taylor and Hartmut Holzgraefe
+dnl give unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+
+AC_DEFUN([_PANDORA_SEARCH_BISON],[
+
+  dnl --------------------------------------------------------------------
+  dnl  Check for bison
+  dnl --------------------------------------------------------------------
+
+  AC_CHECK_PROGS([YACC], ['bison -y'], [:])
+  AS_IF([test "x$YACC" = "x:"],[
+    pandora_have_bison=no
+    YACC='if test -f "$@"; then echo "WARNING: no proper bison binary found, ignoring changes to $<"; exit 0; else echo "ERROR: no proper bison binary found"; exit 1; fi;'
+    ],[
+    pandora_have_bison=yes
+    ])
+
+  AM_CONDITIONAL(HAVE_BISON, [test "x${pandora_have_bison}" = "xyes"])
+])
+
+AC_DEFUN([PANDORA_HAVE_BISON],[
+  AC_REQUIRE([_PANDORA_SEARCH_BISON])
+])
+
+AC_DEFUN([PANDORA_REQUIRE_BISON],[
+  AC_REQUIRE([PANDORA_HAVE_BISON])
+  AS_IF([test "x${pandora_have_bison}" = "xno" -a "$pandora_building_from_bzr" = "yes"],
+      AC_MSG_ERROR(["bison is required for ${PACKAGE} to build from a bzr branch"])
+      )
+])

=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2010-09-29 03:14:51 +0000
+++ m4/pandora_canonical.m4	2010-10-09 21:00:09 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.155])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.159])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   AC_ARG_ENABLE([fat-binaries],
@@ -233,6 +233,9 @@
   AC_CHECK_PROGS([DOXYGEN], [doxygen])
   AC_CHECK_PROGS([PERL], [perl])
   AC_CHECK_PROGS([DPKG_GENSYMBOLS], [dpkg-gensymbols], [:])
+  AC_CHECK_PROGS([LCOV], [lcov], [echo lcov not found])
+  AC_CHECK_PROGS([LCOV_GENHTML], [genhtml], [echo genhtml not found])
+
   AC_CHECK_PROGS([SPHINXBUILD], [sphinx-build], [:])
   AS_IF([test "x${SPHINXBUILD}" != "x:"],[
     AC_CACHE_CHECK([if sphinx is new enough],[ac_cv_recent_sphinx],[

=== modified file 'm4/pandora_drizzle_build.m4'
--- m4/pandora_drizzle_build.m4	2010-09-23 17:56:06 +0000
+++ m4/pandora_drizzle_build.m4	2010-10-08 17:32:00 +0000
@@ -63,6 +63,8 @@
   ]])
   AC_CHECK_TYPES([uint, ulong])
 
+  PANDORA_REQUIRE_BISON
+
   PANDORA_CXX_DEMANGLE
   PANDORA_REQUIRE_BOOST([1.38])
   PANDORA_REQUIRE_BOOST_PROGRAM_OPTIONS

=== added file 'm4/pandora_flex.m4'
--- m4/pandora_flex.m4	1970-01-01 00:00:00 +0000
+++ m4/pandora_flex.m4	2010-10-08 17:50:28 +0000
@@ -0,0 +1,33 @@
+dnl Copyright (C) 2010 Monty Taylor
+dnl Copyright (C) 2010 Hartmut Holzgraefe
+dnl This file is free software; Monty Taylor and Hartmut Holzgraefe
+dnl give unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+
+AC_DEFUN([_PANDORA_SEARCH_FLEX],[
+
+  dnl --------------------------------------------------------------------
+  dnl  Check for flex
+  dnl --------------------------------------------------------------------
+
+  AC_CHECK_PROGS([LEX], ['flex'], [:])
+  AS_IF([test "x$LEX" = "x:"],[
+    pandora_have_flex=no
+    LEX='if test -f "$@"; then echo "WARNING: no proper flex binary found, ignoring changes to $<"; exit 0; else echo "ERROR: no proper flex binary found"; exit 1; fi;'
+    ],[
+    pandora_have_flex=yes
+    ])
+
+  AM_CONDITIONAL(HAVE_FLEX, [test "x${pandora_have_flex}" = "xyes"])
+])
+
+AC_DEFUN([PANDORA_HAVE_FLEX],[
+  AC_REQUIRE([_PANDORA_SEARCH_FLEX])
+])
+
+AC_DEFUN([PANDORA_REQUIRE_FLEX],[
+  AC_REQUIRE([PANDORA_HAVE_FLEX])
+  AS_IF([test "x${pandora_have_flex}" = "xno" -a "$pandora_building_from_bzr" = "yes"],
+      AC_MSG_ERROR(["flex is required for ${PACKAGE} to build from a bzr branch"])
+      )
+])

=== modified file 'plugin/innobase/plugin.ac'
--- plugin/innobase/plugin.ac	2010-10-02 21:15:42 +0000
+++ plugin/innobase/plugin.ac	2010-10-08 17:32:00 +0000
@@ -15,13 +15,7 @@
 #
 
 AC_DEFUN([AC_INNODB_ACTIONS],[
-  AC_CHECK_PROGS(LEX, ['flex'])
-  AS_IF([test "x$LEX" = "x" -a "$pandora_building_from_bzr" = "yes"],[
-     AC_MSG_ERROR(["flex is required for Drizzle to build from a bzr branch"])
-  ])
-  AS_IF([test "x$LEX" = "x"],[
-    LEX='if test -f "$@"; then echo "WARNING: no proper flex binary found, ignoring changes to $<"; exit 0; else echo "ERROR: no proper flex binary found"; exit 1; fi;'
-  ])
+  PANDORA_REQUIRE_FLEX
 
   AC_REQUIRE([AC_FUNC_MMAP])
 

